Subject: Calling cygwin.dll functions from Visual Basic
From: [email-masked] (Bob Crispen)

17 Dec 1996 17:03:05 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

OK, check *this* out.  A guy at work is doing a lot of string
handling in Visual Basic on his NT 4.0 machine and suspects
that VB's string functions are slowing his code down
considerably.

Like a good scout, I copied over cygwin.dll from v14 or 15
to his machine, did a Declare just like the Visual Basic
manual says (including the pass by value stuff) for strcpy(),
and handed it two strings of equal length.

Well, it blew up on an Error 49, function parameter error.
My guess was that the function name in cygwin.dll (which
I discovered with nm) is _strcpy, while VB requires it
to be something window-fied like _strcpy@2.

Does anybody know of a way, apart from hauling out the
VC++ manual and compiling the cygwin.dll code, that I can
get his VB program to call strcpy() and the rest?
--
Rev. Bob "Bob" Crispen
[email-masked]
"A polar bear is just another way of expressing a rectangular bear."
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".